import request from '/@/utils/request';

export function listApi() {
    return {
        //采购订单分页列表
        getPageList: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/GetPageList',
                method: 'post',
                data,
            });
        },
        //获取明细列表
        getPurchaseOrderItemList: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/GetPurchaseOrderItemList',
                method: 'post',
                data,
            });
        },
        //批量修改最新交期
        batchSetNewChengNuoJiaoQi: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/BatchSetNewChengNuoJiaoQi',
                method: 'post',
                data,
            });
        },
        //批量修改承诺交期
        batchSetChengNuoJiaoQi: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/BatchSetChengNuoJiaoQi',
                method: 'post',
                data,
            });
        },
        //生成发货通知单
        batchAddInvoiceOrder: (data: object) => {
            return request({
                url: '/api/Admin/PurchaseOrder/BatchAddInvoiceOrder',
                method: 'post',
                data,
            });
        },


        //发货通知单分页列表
        invoiceOrderGetPageList: (data: object) => {
            return request({
                url: '/api/Admin/InvoiceOrder/GetPageList',
                method: 'post',
                data,
            });
        },


        //用户列表
        loginGetPageList: (data: object) => {
            return request({
                url: '/api/Admin/Login/GetPageList',
                method: 'post',
                data,
            });
        },

        //获取供应商列表
        getBDSupplierList: (data: object) => {
            return request({
                url: '/api/Admin/Login/GetBDSupplierList',
                method: 'get',
                params:data,
            });
        },
        //保存用户
        loginSave: (data: object) => {
            return request({
                url: '/api/Admin/Login/Save',
                method: 'post',
                data,
            });
        },
        //用户状态更新
        batchUpdateStatus: (data: object) => {
            return request({
                url: '/api/Admin/Login/BatchUpdateStatus',
                method: 'post',
                data,
            });
        },
        //修改密码
        UpPassword: (data: object) => {
            return request({
                url: '/api/Admin/Login/UpPassword',
                method: 'get',
                params:data,
            });
        },
    };
}
